> For the complete documentation index, see [llms.txt](https://flowmate.gitbook.io/flowmate-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://flowmate.gitbook.io/flowmate-documentation/api-reference/default-module.md).

# Default module

## Get Executions

> This endpoint returns the total count of executions for a specified flow, user or connector. It provides a simple way to monitor and retrieve the number of times a particular flow has been executed. Useful for tracking flow usage, analyzing performance metrics, and managing flow lifecycle events.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer"}}},"paths":{"/icenter/executions":{"get":{"summary":"Get Executions","deprecated":false,"description":"This endpoint returns the total count of executions for a specified flow, user or connector. It provides a simple way to monitor and retrieve the number of times a particular flow has been executed. Useful for tracking flow usage, analyzing performance metrics, and managing flow lifecycle events.","operationId":"getExecutions","tags":[],"parameters":[{"name":"start","in":"query","description":"Start of counting time frame (inclusive), schema YYYY-MM-DD, defaults to one month ago","required":false,"schema":{"type":"string"}},{"name":"end","in":"query","description":"End of counting time frame (inclusive), schema YYYY-MM-DD, defaults to today","required":false,"schema":{"type":"string"}},{"name":"groupby","in":"query","description":"By which value counts should be grouped by. Supports 'user', 'flow', and ' component', defaults to 'user' ","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Response when grouping by user","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"_id":{"type":"string"},"user":{"type":"string"},"tenant":{"type":"string"},"allFlows":{"type":"array","items":{"type":"string"}},"executions":{"type":"integer"},"username":{"type":"string"}},"required":["_id","user","tenant","allFlows","executions","username"]}},"metadata":{"type":"object","properties":{"start":{"type":"string"},"end":{"type":"string"},"totalExecutions":{"type":"integer"}},"required":["start","end","totalExecutions"]}},"required":["data","metadata"]}}},"headers":{}}}}}}}
```

## Get Logs

> The Get Logs endpoint allows you to retrieve all available logs from the system. You can filter the results by flow, by step, or choose to only display error logs. This makes it possible to set up monitoring scenarios, for example by creating a flow that automatically notifies you whenever new errors occur.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"security":[],"paths":{"/logs":{"get":{"summary":"Get Logs","deprecated":false,"description":"The Get Logs endpoint allows you to retrieve all available logs from the system. You can filter the results by flow, by step, or choose to only display error logs. This makes it possible to set up monitoring scenarios, for example by creating a flow that automatically notifies you whenever new errors occur.","tags":[],"parameters":[{"name":"filter[flowId]","in":"query","description":"","required":false,"schema":{"type":"string"}},{"name":"filter[stepId]","in":"query","description":"","required":false,"schema":{"type":"string"}},{"name":"filter[tenant]","in":"query","description":"","required":true,"schema":{"type":"string"}},{"name":"showErrors","in":"query","description":"","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```

## Incoming Webhook

> Within your system’s webhook functionality, create and configure a webhook to send relevant data as a POST request to the webhook url using the user’s flow ID.\
> You can send payload data via POST request using JSON in the request body, which will then be processed in the flow.

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"security":[],"paths":{"/webhooks/{flowId}":{"post":{"summary":"Incoming Webhook","deprecated":false,"description":"Within your system’s webhook functionality, create and configure a webhook to send relevant data as a POST request to the webhook url using the user’s flow ID.\nYou can send payload data via POST request using JSON in the request body, which will then be processed in the flow.","tags":[],"parameters":[{"name":"flowId","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://flowmate.gitbook.io/flowmate-documentation/api-reference/default-module.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
